# Update table schema

Updates the specified table schema. Schema can include column descriptions in the format [name, type, alias, description].

Endpoint: POST /table/update-schema/{database_name}/{table_name}
Version: 3
Security: ApiKeyAuth

## Path parameters:

  - `database_name` (string, required)
    database name
    Example: "Alpha"

  - `table_name` (string, required)
    Example: "Bravo"

## Request fields (application/x-www-form-urlencoded):

  - `name` (string)
    Example: "table1_new_name"

  - `schema` (any, required)

  - `ignore_duplicate_schema` (boolean)
    Example: true

  - `detect_schema` (boolean)
    Example: true

  - `include_v` (boolean)
    Example: true

  - `expire_days` (integer)
    Example: 1

  - `overwrite` (boolean)
    Example: true

## Response 200 fields (application/json):

  - `database` (string, required)
    database name
    Example: "Alpha"

  - `table` (string, required)
    Example: "Bravo"

  - `type` (string, required)
    Enum: "log"


